// Written based off CheersKevin's youtube series
// On programming in KOS

// This script is the boot script for the Radarr 
// series of surface scanning probes.


// This method prints in big letters something on the screen.
FUNCTION NOTIFY {
  PARAMETER message.
  PARAMETER duration IS 5.
  PARAMETER color IS WHITE.

  HUDTEXT("kOS: " + message, duration, 2, 50, color, false).
  PRINT message.
}

// This section from latest docs.
wait until ship:unpacked.
clearscreen.

NOTIFY("Boot sequence complete, prepare to load and compile the flight scripts.").

IF true { // Set this to false to avoid compiling ascent code.
  COMPILE "0:/RadarrSeries/radarr.kerbin.ks" to "1:/ascent.ksm". // Compile the flight code into a ksm object.
} ELSE {
  COPYPATH("0:/RadarrSeries/radarr.kerbin.ks", "1:/ascent.ks"). // Copy over our launch script from the archive at ksc
}

NOTIFY("Program compiled and ready to run.").

IF ALT:RADAR < 100 { // If our radar alt is lower than 10
  WAIT 5.
  run ascent.ks. // Run the ascent stage!
} else {
  NOTIFY("System booted but did not pass pre-flight checks, aborting excecution!").
}

